javax.swing.event

## Class TableColumnModelEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TableColumnModelEvent

All Implemented Interfaces:
  Serializable

    public class TableColumnModelEvent
    extends EventObject

TableColumnModelEvent is used to notify listeners that a table column model has changed, such as a column was added, removed, or moved.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `TableColumnModelListener`

### Field Summary

Fields
`protected int` `fromIndex` The index of the column from where it was moved or removed
`protected int` `toIndex` The index of the column to where it was moved or added

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`TableColumnModelEvent(TableColumnModel source, int from, int to)` Constructs a `TableColumnModelEvent` object.

### Method Summary

Methods
`int` `getFromIndex()` Returns the fromIndex.
`int` `getToIndex()` Returns the toIndex.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### fromIndex

    protected int fromIndex

The index of the column from where it was moved or removed

#### toIndex

    protected int toIndex

The index of the column to where it was moved or added

### Constructor Detail

#### TableColumnModelEvent

    public TableColumnModelEvent(TableColumnModel source,
                         int from,
                         int to)

Constructs a `TableColumnModelEvent` object.

Parameters:
  `source` - the `TableColumnModel` that originated the event
  `from` - an int specifying the index from where the column was moved or removed
  `to` - an int specifying the index to where the column was moved or added
See Also:
  `getFromIndex()`, `getToIndex()`

### Method Detail

#### getFromIndex

    public int getFromIndex()

Returns the fromIndex. Valid for removed or moved events

#### getToIndex

    public int getToIndex()

Returns the toIndex. Valid for add and moved events

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.